<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <form action="{% url 'cosas:actualizar' algo.id %}" method="POST">
        {% csrf_token %}
        <label for="nombre">Nombre</label>
        <input type="text" name="nombre" value="{{algo.nombre}}">
        <br>
        <label for="cantidad">Cantidad</label>
        <input type="text" name="cantidad" value="{{algo.cantidad}}">
        <br>
        <label for="tipo">Tipo</label>
        <select name="tipo">
            {% for tda in lista_tda %}
                <option {% if tda.tipo == algo.tipo.id %} selected="selected" {% endif %}  value="{{tda.id}}">{{tda.nombre}}</option>
            {% endfor %}
        </select>
        <br>
        <button type="submit">Actualizar</button>
    </form> 
</body>
</html>